package com.xjrsoft.module.banding.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.banding.dto.AutomaticBandingTaskDto;
import com.xjrsoft.module.banding.dto.BandingTaskPageDto;
import com.xjrsoft.module.banding.dto.SureBandingTaskDto;
import com.xjrsoft.module.banding.entity.BandingTask;
import com.xjrsoft.module.banding.vo.BandingTaskPageVo;

import java.util.List;

/**
* @title: 新生分班任务
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/

public interface IBandingTaskService extends MPJBaseService<BandingTask> {
    /**
    * 新增
    *
    * @param bandingTask
    * @return
    */
    Boolean add(BandingTask bandingTask);

    /**
    * 更新
    *
    * @param bandingTask
    * @return
    */
    Boolean update(BandingTask bandingTask);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    Boolean automaticBanding(AutomaticBandingTaskDto dto);


    Boolean sure(SureBandingTaskDto dto);

    Page<BandingTaskPageVo> getPage(Page<BandingTaskPageVo> page, BandingTaskPageDto dto);

}
